### Method

# St Button set_icon_name

#### Declaration [src]

    void
    st_button_set_icon_name (
      StButton* button,
      const char* icon_name
    )

#### Description [src]

Adds an `StIcon` with the given icon name as a child.

If `button` already contains a child actor, that child will be removed and replaced with the icon.

Sets property | `St.Button:icon-name`

#### Parameters

`icon_name`

  Type: `const char*`

  An icon name.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.